Name:      mod_csacek
Version:   2.1.4
Release:   1
Copyright: GPL
Source:    http://www.csacek.cz/distrib/csacek-%{version}.tar.gz
Group:     System Environment/Daemons
Summary:   Modul pro prekodovani cestiny na WWW
URL:	   http://www.csacek.cz
Requires:  webserver
Requires:  zlib
BuildRoot: /var/tmp/csacek-root 

%description 
Modul pro automaticke prekodovani cestiny do Apache serveru

%prep
%setup -q -n csacek-%{version}

%build
./configure --with-target=Apache --with-templatedir=/home/httpd/html/csacek
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 -s mod_csacek.so $RPM_BUILD_ROOT/usr/lib/apache

# manual 
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_csacek
cp -a doc/* $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_csacek

# stranka s nabidkou prekodovani
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/csacek
install -m 644 templates/*.html $RPM_BUILD_ROOT/home/httpd/html/csacek


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/usr/lib/apache/mod_csacek.so
/home/httpd/html/manual/mod/mod_csacek
/home/httpd/html/csacek
%doc README CHANGES COPYING INSTALL

%changelog
* Thu Mar 23 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- patch na chybu pri stahovani dokumentu

* Wed Mar 01 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- zdrojova verze 2.1.3 
- uprava volani configure skriptu podle nove verze
- zmenen nazev SPEC souboru

* Thu Jan 27 2000 Radek Vybiral <Radek.Vybiral@vsb.cz>
- zdrojova verze 2.1.2

* Sun Dec 05 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- zdrojova verze 2.1.1 a oprava na Makefile.in

* Mon Oct 25 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- pridany patche pro verzi 2.1.0

* Fri Sep 24 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- upraveno pro verzi 2.1.0

* Mon Sep 21 1999 Radek Vybiral <Radek.Vybiral@vsb.cz>
- prvni zverejnena RPM verze, byl jsem prvni :)

